<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Registrate</title>
  <link rel="stylesheet" href="../css/bootstrap.css">  
    
  <link rel="stylesheet" href="../css/bootstrap/bootstrap.min.css">  


  <link rel="stylesheet" href="../css/registro.css">

  <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase.js"></script>
  <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase-app.js"></script>
  <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase-database.js"></script>
  <script>

    var firebaseConfig = {
        apiKey: "AIzaSyCnraYSxUh-aicQH0FaW4Op9Fc1kn3u7CY",
        authDomain: "farmaciasuspirodedios.firebaseapp.com",
        databaseURL: "https://farmaciasuspirodedios.firebaseio.com",
        projectId: "farmaciasuspirodedios",
        storageBucket: "farmaciasuspirodedios.appspot.com",
        messagingSenderId: "171862318579",
        appId: "1:171862318579:web:ed48d615e77ac9b3a64686",
        measurementId: "G-SCVV3KHQQK"
    };

    // Initialize Firebase
    firebase.initializeApp(firebaseConfig);
    var database = firebase.database();

    window.addEventListener('load', function () {

      let identificacion = document.querySelector('#txtidentificacion');
      let nombre = document.querySelector('#txtnombre');
      let cuenta = document.querySelector('#txtcuenta');
      let perfil = document.querySelector('#txtperfil');
      let contraseña = document.querySelector('#txtcontraseña');
      let contraseña2 = document.querySelector('#txtcontraseña2');


      document.querySelector('#btnguardar').addEventListener('click', function () {
        firebase.database().ref('usuario/' + identificacion.value).set({
          identificacion: identificacion.value,
          nombre: nombre.value,
          cuenta: cuenta.value,
          perfil: perfil.value,
          contraseña: contraseña.value,
          contraseña2: contraseña2.value
        })
      });

    });

  </script>
</head>

<body>

  <div class="container">
    <div class="abs-center">
          <form class="border p-3 form" name="for">              
                <center><h2 class="form__titulo"><img src="../imagenes/LogoFarm.png" class="img-fluid" alt="Responsive image"> <br> Registre Usuario</h2></center>
                  <div class="grupo log-status">
                    <label for="txtidentificacion">N° de Cédula</label>
                    <input type="text" class="form-control" value="" placeholder="Ingrese su ID "  id="txtidentificacion">
                  </div>

                  <div class="grupo log-status">
                    <label for="txtnombre">Apellidos y Nombres</label>
                    <input type="text" class="form-control" value="" placeholder="Apellidos y Nombres" id="txtnombre">
                  </div>

                  <div class="grupo log-status">
                    <label for="txtcuenta">Cuenta</label>
                    <input type="text" class="form-control" value=""placeholder="e-mail" id="txtcuenta">
                  </div>

                  <div class="grupo log-status">
                    <label for="txtperfil">Cargo o Rol</label>
                    <input type="text" class="form-control" value="" placeholder="Cargo o Rol" id="txtperfil">
                  </div>

                  <div class="grupo log-status">
                    <label for="txtcontraseña">Contraseña</label>
                    <input type="password" class="form-control" value="" placeholder="Contraseña"  id="txtcontraseña">
                  </div>
                  <div class="grupo log-status">
                    <label for="txtcontraseña2">Confirmar contraseña</label>
                    <input type="password" class="form-control" value="" placeholder="Confirmar Contraseña" id="txtcontraseña2">
                  </div>

                  <a  href="../../index.html">Regresar</a>

                  <center><button class="log-btn" id="btnguardar">Registrate</button></center>       
            

          </form>
        
        </div>
      </div>
</body>

</html>